using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Frilenseri
{
    class Program
    {
        static void Sort(double[,] a, int n)
        {
            double temp1, temp2;
            for (int i = 0; i < n; i++)
            {
                for (int j = 0; j < n - 1 - i; j++)
                {
                    if (a[j, 1] > a[j + 1, 1]) 
                    {
                        temp1 = a[j, 0];    
                        temp2 = a[j, 1];

                        a[j, 0] = a[j + 1, 0];
                        a[j, 1] = a[j + 1, 1];

                        a[j + 1, 0] = temp1;
                        a[j + 1, 1] = temp2;
                    }
                }
            }
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[,] a = new double[n, 2];
            int i, j;
            double s, p, max = 0;
            for (i = 0; i < n; i++)
            {
                var b = Console.ReadLine().Split();
                a[i, 0] = double.Parse(b[0]);
                a[i, 1] = double.Parse(b[1]);
            }
            Sort(a,n);
            for (i = 0; i < n; i++)
            {
                s = 0;
                p = a[i, 1];
                for (j = i; j < n; j++)
                {
                    s += (a[j, 0] * p / 100);
                }
                if (max < s)
                {
                    max = s;
                }
            }
            Console.WriteLine(max);
        }
    }
}